Bio::MAGETAB::Util::Reader::ADF(3)

NAME
Bio::MAGETAB::Util::Reader::ADF - ADF parser class.

SYNOPSIS
 use Bio::MAGETAB::Util::Reader::ADF;
 my $parser = Bio::MAGETAB::Util::Reader::ADF->new({
     uri => $adf_filename,
 });
 my $array_design = $parser->parse();

DESCRIPTION
This class is used to parse ADF files. It can be used on its own, but more often you will want to use the main Bio::MAGETAB::Util::Reader class which handles extended parsing options more transparently.

ATTRIBUTES
See the TagValueFile class for superclass attributes.

magetab_object
    A Bio::MAGETAB::ArrayDesign object. This can either be set upon instantiation, or a new object will be created for you. It can be retrieved at any time using "get_magetab_object".

METHODS

parse
    Parse the ADF pointed to by "$self->get_uri()". Returns the Bio::MAGETAB::ArrayDesign object updated with the ADF contents.

SEE ALSO
Bio::MAGETAB::Util::Reader::TagValueFile Bio::MAGETAB::Util::Reader::Tabfile Bio::MAGETAB::Util::Reader Bio::MAGETAB::ArrayDesign

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).